<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetConfigurations Method (IEdmFile5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : GetConfigurations Method (IEdmFile5)

Visual Basic
C#
C++/CLI

poVersionNoOrRevisionName
  Version number or revision name; 0 or empty string to get configurations for the latest version of this file

Gets a list of names of the configurations for the specified version of this file.

# Syntax

Visual Basic |
--- | ---

    Function GetConfigurations( _
       Optional ByRef poVersionNoOrRevisionName As System.Object _
    ) As EdmStrLst5

C# |
--- | ---

    EdmStrLst5 GetConfigurations(
       ref System.object poVersionNoOrRevisionName
    )

C++/CLI |
--- | ---

    EdmStrLst5^ GetConfigurations(
    &   System.Object^% poVersionNoOrRevisionName
    )

#### Parameters

poVersionNoOrRevisionName
  Version number or revision name; 0 or empty string to get configurations for the latest version of this file

#### Return Value

IEdmStrList5

# Example

Get File Information (VB.NET)
Get File Information (C#)

# Remarks

Some file types, such as files from AutoCAD and SOLIDWORKS, can contain several configurations or layouts. These configurations are visible as pages in the SOLIDWORKS PDM Professional file data cards.

C++ users not using smart pointer wrapper functions must release the returned interface, IEdmStrLst5.

See Return Codes for the complete list of potential success and error codes. The following are just a few examples:

- S_OK: The method successfully executed.
- E_EDM_PERMISSION_DENIED: The logged-in user does not have read-access to the specified version or revision.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members
IEdmFile14::GenerateDefaultConfigValues Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2